get
https://developer-api.bringg.com/services/SHr5XT6Y/service_uuid1/service_uuid2
Use this endpoint to retrieve a list of all vehicle profiles for your merchant.
Note: This endpoint doesn't require input parameters.
Response (Output) Params
| Parameter | Description |
|---|---|
*success**boolean | Indicates whether the service completed successfully.
|
*message**string | If an error occurred, a message indicating the error is included. |
*rc**integer | If an error occurred, the return code is included. |
*can_attach_trailer**boolean | A flag specifying whether or not vehicles with this profile can attach to trailers. |
*cost_per_shift**string | A relative cost allocated to vehicles using this profile that is used in some types of route optimization. Serves to reduce the number of vehicles used in a given optimization. |
*created_at**datetime | The timestamp when the vehicle profile was created. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z". |
*default_for_merchant**boolean | A flag indicating whether this vehicle profile is the default for the merchant. |
*external_id**string | Your system's ID for this vehicle profile. |
*handling_units**json | Used to specify the maximum capacity in custom units for vehicles using this vehicle profile. |
*height**integer | The internal height capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. |
*id**integer | The Bringg ID for this vehicle profile. |
*is_green**boolean | A vehicle using this profile is considered a "Green" vehicle as it approaches net zero carbon emissions. |
*is_trailer**boolean | A flag specifying whether or not vehicles with this profile are considered trailers. |
*length**integer | The internal length capacity (cm) of the vehicle with this profile. Used when determining vehicle volume. |
*max_total_weight**integer | The maximum weight capacity a vehicles with this profile can carry at a time. |
*max_route_distance_km**integer | The longest distance that a vehicle using this profile can serve on a single route, in kilometers. |
*max_vehicle_distance_km**integer | |
*maximum_tasks_per_route**integer | The maximum number of orders that a vehicle using this profile can transport at a time. |
*speed_factor**float | |
*title**string | Your name for the vehicle profile. This is how the vehicle profile appears in the Bringg UI. |
*transport_time_minutes**integer | The maximum duration (minutes) you set for a route to last for a vehicle using this profile. |
*updated_at**datetime | The last date and time this vehicle profile was updated. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z". |
*vehicle_category**string | The type of vehicle (car, bicycle, or type of truck) using this profile. |
*vehicle_category_id**integer | The Bringg ID for the type of vehicle (car, bicycle, or type of truck) using this profile. |
*width**integer | The internal width capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. |

